org.apache.felix.systemready

## Class SystemStatus

- java.lang.Object
- - org.apache.felix.systemready.SystemStatus

Deprecated.
Use the Apache Felix Healthchecks instead.

    @Deprecated
    public class SystemStatus
    extends Object

This framework is deprecated.

### Constructor Summary

Constructors
Constructor and Description
`SystemStatus(Collection<CheckStatus> checkStates)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Collection<CheckStatus>` `getCheckStates()` Deprecated.
`CheckStatus.State` `getState()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SystemStatus

    public SystemStatus(Collection<CheckStatus> checkStates)

Deprecated.

### Method Detail

#### getState

    public CheckStatus.State getState()

Deprecated.

#### getCheckStates

    public Collection<CheckStatus> getCheckStates()

Deprecated.